<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container">
        <div class="row jumbotron">
            <div class="col-sm-2 text-right">
                <label for="">Car</label>
            </div>
            <div class="col-sm-4">
                <select name="" id="select-car" class="form-control">

                </select>
            </div>
            <div class="col-sm-2 text-right">
                <label for="">CarType</label>
            </div>
            <div class="col-sm-4">
                <select name="" id="select-type" class="form-control">

                </select>
            </div>

        </div>

    </div>


</body>
<script>
    // *** Region1 global ***//
    const gBASE_URL = "http://localhost:8080/devcamp-car";
    const gBASE_URL_TYPE = "http://localhost:8080/devcamp-cartype";
    gDataAll = [];

    // *** Region2  ***//
    $(document).ready(function () {

        dataBase();
        $("#select-car").on("change", function () {
            $("#select-type").html("");
            dataBaseType(this.value);
        })



    })
    // *** Region3 ***//
    function onLoadSelectCar(paramRes) {
        for (var bI = 0; bI < paramRes.length; bI++) {
            $("#select-car").append($("<option>", {
                text: gDataAll[bI].carName,
                value: gDataAll[bI].carCode
            }))
        }


    }
    function dataBaseType(paramCode) {
        $.ajax({
            url: gBASE_URL_TYPE + "?carCode=" + paramCode,
            type: "GET",
            success: function (paramRes) {
                console.log(paramRes);

                for (var i = 0; i < paramRes.length; i++) {
                    $("#select-type").append($("<option>", {

                        text: paramRes[i].typeName,
                        value: paramRes[i].typeCode
                    }))
                }

            },
            error: function (paramErr) {
                alert(paramErr.status);
            }
        })
    }
    // *** Region4 ***//
    function dataBase() {
        $.ajax({
            url: gBASE_URL,
            type: "GET",
            success: function (paramRes) {
                gDataAll = paramRes;
                onLoadSelectCar(paramRes);
                console.log(paramRes);

            },
            error: function (paramErr) {
                alert(paramErr.status);
            }
        })
    }

</script>

</html>